IPTraf-ng User's Manual
Prev | Chapter 1. Getting Started | Next

# 1.4. Command-line Options

IPTraf-ng has a few optional command-line parameters. As with most UNIX commands, IPTraf-ng command-line parameters are case-sensitive (`-l` is NOT the same as `-L`).

The following command-line parameters can be supplied to the iptraf-ng command:

`-i `iface``

  causes the IP traffic monitor to start immediately on the specified interface. If -i all is specified, all interfaces are monitored.

`-g`

  starts the general interface statistics

`-d `iface``

  shows detailed statistics for the specified interface

`-s `iface``

  starts the TCP/UDP traffic monitor for the specified interface

`-z `iface``

  starts the packet size breakdown for the specified interface

`-l `iface``

  starts the LAN station monitor on the specified interface. If `-l all` is specified, all LAN interfaces are monitored.

`-t `timeout``

  The `-t` parameter, when used with one of the other parameters that specify a facility to start, tells IPTraf-ng to run the indicated facility for only timeout minutes, after which the facility exits. The `-t` parameter is ignored in menu mode.

  If this parameter is not specified, the facility runs until the exit keystroke is pressed.

`-B`

  Redirects all terminal output to the "bit bucket" `/dev/null`, closes standard input, and places the program in the background. This parameter can be used only with one of the `-i`, `-g`, `-d`, `-s`, `-z`, or `-l` parameters. See Background Operation in Chapter 9. `-B` is ignored in menu mode.

`-L `filename``

  Allows you to specify an alternate log file name when the any facility is directly started from the command line, whether in foreground or background mode. If specified in foreground mode, the log filename prompt is bypassed, even when logging is turned on in the Configure... menu. If this parameter is omitted in background mode, the default log filename is used.

  This parameter always turns on logging.

  If an absolute path is not specified, the log file will be created in the default log file directory

`-f`

  Forces IPTraf-ng to clear all lock files and reset all instance counters to zero before running any facilities. IPTraf-ng will then think it's the first instance of itself.

  The `-f` parameter overrides the existing locks and counters imposed by the IPTraf-ng process and by the various facilities, causing this instance to think it is the first and that there are no other facilities running. Use this parameter with great caution. A common use for this parameter is to recover from abrupt or abnormal terminations which may leave stale locks and counters still lying around.

  The `-f` parameter may be used together with the others.

`-h`

  displays a short help screen

While the command-line options are case-sensitive, interactive keystroke at the IPTraf-ng full-screen interface are not.

Prev | Home | Next
Starting and Stopping IPTraf-ng | Up | Using the Menus